Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class DHTMLButtonElement

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.DHTMLElement
                  |
                  +--oracle.jdeveloper.html.DHTMLButtonElement

public class DHTMLButtonElement
extends DHTMLElement

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `action`
`protected java.lang.String` | `actionType`
`static java.lang.String` | `atFunction`
`static java.lang.String` | `atURL`
`protected boolean` | `defaultButton`
`protected boolean` | `enabled`
`protected java.lang.String` | `gap`
`protected java.lang.String` | `locatorControl`
`protected java.lang.String` | `locatorObject`
`protected java.lang.String` | `name`
`protected java.lang.String` | `shape`
`static java.lang.String` | `shapeRR`
`static java.lang.String` | `shapeRS`
`static java.lang.String` | `shapeSR`
`static java.lang.String` | `shapeSS`
`protected java.lang.String` | `targetFrame`
`protected java.lang.String` | `text`
`protected java.lang.String` | `url`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`DHTMLButtonElement()`
`DHTMLButtonElement(java.lang.String name)`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getActionType()`
`boolean` | `getDefaultButton()`
`boolean` | `getEnabled()`
`java.lang.String` | `getGap()`
`java.lang.String` | `getLocatorControl()`
`java.lang.String` | `getLocatorObject()`
`java.lang.String` | `getName()`
`java.lang.String` | `getShape()`
`java.lang.String` | `getTargetFrame()`
`java.lang.String` | `getText()`
`java.lang.String` | `getUrl()`
`void` | `render(java.io.PrintWriter out)`
`void` | `setAction(java.lang.String act)`
`void` | `setActionType(java.lang.String ac)`
`void` | `setDefaultButton(boolean defButton)`
`void` | `setEnabled(boolean enabled)`
`void` | `setGap(java.lang.String gap)`
`void` | `setLocatorControl(java.lang.String locControl)`
`void` | `setLocatorObject(java.lang.String locObject)`
`void` | `setName(java.lang.String name)`
`void` | `setShape(java.lang.String shp)`
`void` | `setTargetFrame(java.lang.String trgFrm)`
`void` | `setText(java.lang.String txt)`
`void` | `setUrl(java.lang.String url)`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shapeRR

    public static final java.lang.String shapeRR

### shapeRS

    public static final java.lang.String shapeRS

### shapeSS

    public static final java.lang.String shapeSS

### shapeSR

    public static final java.lang.String shapeSR

### atURL

    public static final java.lang.String atURL

### atFunction

    public static final java.lang.String atFunction

### name

    protected java.lang.String name

### shape

    protected java.lang.String shape

### text

    protected java.lang.String text

### actionType

    protected java.lang.String actionType

### url

    protected java.lang.String url

### targetFrame

    protected java.lang.String targetFrame

### action

    protected java.lang.String action

### enabled

    protected boolean enabled

### defaultButton

    protected boolean defaultButton

### gap

    protected java.lang.String gap

### locatorControl

    protected java.lang.String locatorControl

### locatorObject

    protected java.lang.String locatorObject

Constructor Detail

### DHTMLButtonElement

    public DHTMLButtonElement()

### DHTMLButtonElement

    public DHTMLButtonElement(java.lang.String name)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setShape

    public void setShape(java.lang.String shp)

### getShape

    public java.lang.String getShape()

### setText

    public void setText(java.lang.String txt)

### getText

    public java.lang.String getText()

### setActionType

    public void setActionType(java.lang.String ac)

### getActionType

    public java.lang.String getActionType()

### setUrl

    public void setUrl(java.lang.String url)

### getUrl

    public java.lang.String getUrl()

### setTargetFrame

    public void setTargetFrame(java.lang.String trgFrm)

### getTargetFrame

    public java.lang.String getTargetFrame()

### setAction

    public void setAction(java.lang.String act)

### getAction

    public java.lang.String getAction()

### setEnabled

    public void setEnabled(boolean enabled)

### getEnabled

    public boolean getEnabled()

### setDefaultButton

    public void setDefaultButton(boolean defButton)

### getDefaultButton

    public boolean getDefaultButton()

### setGap

    public void setGap(java.lang.String gap)

### getGap

    public java.lang.String getGap()

### setLocatorControl

    public void setLocatorControl(java.lang.String locControl)

### getLocatorControl

    public java.lang.String getLocatorControl()

### setLocatorObject

    public void setLocatorObject(java.lang.String locObject)

### getLocatorObject

    public java.lang.String getLocatorObject()

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD